#
# spec file for package gnump3d (Version 2.9.8)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gnump3d
Url:            http://www.gnump3d.org
License:        GPL v2 or later
Group:          Productivity/Networking/Web/Servers
AutoReqProv:    on
Version:        2.9.8
Release:        32
Summary:        GNU MP3 Streaming Server
Requires:       logrotate perl
PreReq:         /usr/sbin/useradd coreutils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         gnump3d-%{version}.tar.bz2
Source1:        gnump3d.init
Source2:        gnump3d.logrotate
Patch0:         gnump3d-%{version}.dif
Patch1:         gnump3d-no_auth.patch

%description
gnump3d is a simple server that allows you to stream MP3s and OGG
Vorbis files across a network.



%debug_package
%prep
%setup -q
%patch0
%patch1

%build

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/var/log/gnump3d
install -d -m 755 $RPM_BUILD_ROOT/etc/logrotate.d
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/srv/mp3
install -d -m 755 $RPM_BUILD_ROOT/var/cache/gnump3d
install -d -m 755 $RPM_BUILD_ROOT/var/cache/gnump3d/serving
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/gnump3d
make install DESTDIR=$RPM_BUILD_ROOT
# Install inetd init script
install -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/gnump3d
ln -sf ../../etc/init.d/gnump3d $RPM_BUILD_ROOT/usr/sbin/rcgnump3d

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -r -o -g nogroup -u 63 -s /bin/false -c "GNUMP3 daemon" -d /var/lib/nobody gnump3d 2> /dev/null || :

%post
# if there is no access.log file, create one with correct permissions.
# gnump3d does not do this.
test -f /var/log/gnump3d/access.log || {
  touch /var/log/gnump3d/access.log;
  chmod 640 /var/log/gnump3d/access.log;
  chown gnump3d /var/log/gnump3d/access.log
}

%preun
%stop_on_removal gnump3d

%postun
%restart_on_update gnump3d
%insserv_cleanup

%files
%defattr(-,root,root)
%doc COPYING AUTHORS README TODO
%doc %{_mandir}/man1/gnump3d-index.1.gz
%doc %{_mandir}/man1/gnump3d-top.1.gz
%doc %{_mandir}/man1/gnump3d.1.gz
%doc %{_mandir}/man1/gnump3d.conf.1.gz
%dir /etc/gnump3d
%attr(644, root, root) %config /etc/gnump3d/mime.types
%attr(644, root, root) %config(noreplace) /etc/gnump3d/gnump3d.conf
%dir /usr/share/gnump3d
%doc /usr/share/gnump3d/README
/usr/share/gnump3d/Avalon
/usr/share/gnump3d/LaFrere
/usr/share/gnump3d/Tabular
/usr/share/gnump3d/Thexder
/usr/share/gnump3d/default
/usr/share/gnump3d/dotNET
/usr/share/gnump3d/nausicaa
/usr/share/gnump3d/redgrey
/usr/share/gnump3d/simple
/usr/share/gnump3d/Clean
/usr/share/gnump3d/SchwartzNGrau
/usr/share/gnump3d/BlueBox
/usr/share/gnump3d/Liquid
/usr/share/gnump3d/Musicus
/usr/share/gnump3d/Nomad
/usr/share/gnump3d/handheld
/usr/lib/perl5/*/gnump3d
%{_bindir}/gnump3d
%{_bindir}/gnump3d2
%{_bindir}/gnump3d-index
%{_bindir}/gnump3d-top
%{_sbindir}/rcgnump3d
%config /etc/init.d/gnump3d
%config(noreplace) /etc/logrotate.d/gnump3d
%attr(755,gnump3d,root) %dir /var/log/gnump3d
%attr(755,gnump3d,root) %dir /var/cache/gnump3d
%attr(755,gnump3d,root) %dir /var/cache/gnump3d/serving
%attr(755,root,root) %dir /srv/mp3

%changelog
* Tue Dec 04 2007 - pth@suse.de
- Remove the password protection stuff as it's broken beyond repair.
  Fixes CVE-2007-6130 (#344592).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 01 2005 - stark@suse.de
- Update to version 2.9.8
* Thu Sep 15 2005 - kukuk@suse.de
- Update to version 2.9.5
- Don't mark themes as config, if somebody modifies them, he
  should choose a new name.
* Wed May 19 2004 - kukuk@suse.de
- Update to version 2.8
* Tue Feb 24 2004 - hmacht@suse.de
- building as non-root
* Wed Jan 28 2004 - tsieden@suse.de
- Removed the "german umlauts" fix because it will break the
  UTF-8 compatibility
* Mon Jan 26 2004 - tsieden@suse.de
-  Update to 2.6
-  Fix handling of german umlauts in generated playlists
* Sat Dec 20 2003 - tsieden@suse.de
- added 'next unless $data;' to gnump3d2 (bug #33066)
  (originated by mls@suse.de)
* Fri Aug 29 2003 - kukuk@suse.de
- Call useradd with -r for system account [Bug #29611]
* Wed Jul 30 2003 - kukuk@suse.de
- Try to restart the server on update
* Fri Jul 25 2003 - kukuk@suse.de
- Update to 2.5b
* Mon Feb 17 2003 - kukuk@suse.de
- Update to 2.2 (reimplemented in perl)
* Fri Jan 10 2003 - kukuk@suse.de
- Update to final 1.0 release
* Fri Aug 30 2002 - kukuk@suse.de
- Add own "gnump3d" user, so that logfiles are not owned by nobody.
- Fix handling of logfiles after rotation (gnump3d creates the
  first log file as root and tries to modify it later as gnump3d).
- Add config file for logroration
* Sat Aug 24 2002 - kukuk@suse.de
- Update to final tar archive for 1.0-pre1 (includes libtool fixes)
* Mon Aug 12 2002 - kukuk@suse.de
- Update to current CVS version
* Wed Jul 24 2002 - kukuk@suse.de
- Initial version
